Bug 7745 - Using OPACBaseURL for CAS Authentication
Summary: Using OPACBaseURL for CAS Authentication
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Authentication (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Matthias Meusburger
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-19 15:05 UTC by Matthias Meusburger
Modified: 2013-12-05 20:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (2.52 KB, patch)
2012-03-19 15:07 UTC, Matthias Meusburger
Details | Diff | Splinter Review
proposed patch (2.66 KB, patch)
2012-03-21 10:16 UTC, Matthias Meusburger
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Meusburger 2012-03-19 15:05:02 UTC
Wrong service name for CAS authentification :
    
    When behind a proxy, Koha give a wrong service name to the CAS server (SCRIPT_URI environment variable). It now uses OPACBaseURL syspref.
Comment 1 Matthias Meusburger 2012-03-19 15:07:06 UTC Comment hidden (obsolete)
Comment 2 Matthias Meusburger 2012-03-21 10:16:46 UTC
Created attachment 8391 [details] [review]
proposed patch

Adds commit comment on how to fill OPACBaseURL syspref.
Comment 3 Pierre Angot 2012-03-21 10:18:40 UTC
Ok on sandbox.
Comment 4 Paul Poulain 2012-03-22 05:23:31 UTC
QA comment: tiny patch, I also checked that without CAS it changes nothing, so this patch can be safely pushed.
Comment 5 Jared Camins-Esakov 2012-12-31 00:44:50 UTC
There have been no further reports of problems so I am marking this bug resolved.